package cn.com.ctop.common.module.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;

import java.math.BigDecimal;

public class KuaishouReportAccountDailyDTOEntity extends BaseRowModel {
    @ExcelProperty(index = 1, value = "项目名称")
    private String projectName;
    @ExcelProperty(index = 2, value = "广告主")
    private String advertiserName;
    @ExcelProperty(index = 3, value = "运营负责人")
    private String responsibleName;
    @ExcelProperty(index = 4, value = "设计负责人")
    private String designResponsibleName;
    @ExcelProperty(index = 5, value = "时间")
    private String statDate;
    @ExcelProperty(index = 6, value = "销售")
    private String saleName;
    @ExcelProperty(index = 7, value = "消耗")
    private BigDecimal charge;
    @ExcelProperty(index = 8, value = "封面曝光数")
    private Long photoShow;
    @ExcelProperty(index = 9, value = "封面点击数")
    private Long photoClick;
    @ExcelProperty(index = 10, value = "素材曝光数")
    private Long aclick;
    @ExcelProperty(index = 11, value = "行为数")
    private Long bclick;
    @ExcelProperty(index = 12, value = "激活数")
    private Long activation;
    @ExcelProperty(index = 13, value = "注册数")
    private Long eventRegister;
    @ExcelProperty(index = 14, value = "提交按钮点击数")
    private Long submit;
    @ExcelProperty(index = 15, value = "次留数")
    private Long eventNextDayStay;
    @ExcelProperty(index = 16, value = "次留成本")
    private BigDecimal eventNextDayStayCost;
    @ExcelProperty(index = 17, value = "激活成本")
    private BigDecimal activationCost;
    @ExcelProperty(index = 18, value = "封面点击率")
    private String photoClickRate;
    @ExcelProperty(index = 19, value = "行为率")
    private String bclickRate;
    @ExcelProperty(index = 20, value = "千次封面曝光花费")
    private BigDecimal impression1kCost;
    @ExcelProperty(index = 21, value = "封面点击单价")
    private BigDecimal photoClickCost;
    @ExcelProperty(index = 22, value = "行为单价")
    private BigDecimal actionCost;
    @ExcelProperty(index = 23, value = "分享数")
    private Long photoShare;
    @ExcelProperty(index = 24, value = "评论数")
    private Long photoComment;
    @ExcelProperty(index = 25, value = "点赞数")
    private Long photoLike;
    @ExcelProperty(index = 26, value = "新增关注数")
    private Long follow;
    @ExcelProperty(index = 27, value = "举报数")
    private Long report;
    @ExcelProperty(index = 28, value = "取关数")
    private Long cancelFollow;
    @ExcelProperty(index = 29, value = "拉黑数")
    private Long block;
    @ExcelProperty(index = 30, value = "减少此类作品数")
    private Long nagative;
    @ExcelProperty(index = 31, value = "安卓下载开始数")
    private Long downloadStarted;
    @ExcelProperty(index = 32, value = "安卓下载完成数")
    private Long downloadCompleted;

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getAdvertiserName() {
        return advertiserName;
    }

    public void setAdvertiserName(String advertiserName) {
        this.advertiserName = advertiserName;
    }

    public String getResponsibleName() {
        return responsibleName;
    }

    public void setResponsibleName(String responsibleName) {
        this.responsibleName = responsibleName;
    }

    public String getDesignResponsibleName() {
        return designResponsibleName;
    }

    public void setDesignResponsibleName(String designResponsibleName) {
        this.designResponsibleName = designResponsibleName;
    }

    public String getStatDate() {
        return statDate;
    }

    public void setStatDate(String statDate) {
        this.statDate = statDate;
    }

    public String getSaleName() {
        return saleName;
    }

    public void setSaleName(String saleName) {
        this.saleName = saleName;
    }

    public BigDecimal getCharge() {
        return charge;
    }

    public void setCharge(BigDecimal charge) {
        this.charge = charge;
    }

    public Long getPhotoShow() {
        return photoShow;
    }

    public void setPhotoShow(Long photoShow) {
        this.photoShow = photoShow;
    }

    public Long getPhotoClick() {
        return photoClick;
    }

    public void setPhotoClick(Long photoClick) {
        this.photoClick = photoClick;
    }

    public Long getAclick() {
        return aclick;
    }

    public void setAclick(Long aclick) {
        this.aclick = aclick;
    }

    public Long getBclick() {
        return bclick;
    }

    public void setBclick(Long bclick) {
        this.bclick = bclick;
    }

    public Long getActivation() {
        return activation;
    }

    public void setActivation(Long activation) {
        this.activation = activation;
    }

    public Long getEventRegister() {
        return eventRegister;
    }

    public void setEventRegister(Long eventRegister) {
        this.eventRegister = eventRegister;
    }

    public Long getSubmit() {
        return submit;
    }

    public void setSubmit(Long submit) {
        this.submit = submit;
    }

    public Long getEventNextDayStay() {
        return eventNextDayStay;
    }

    public void setEventNextDayStay(Long eventNextDayStay) {
        this.eventNextDayStay = eventNextDayStay;
    }

    public BigDecimal getEventNextDayStayCost() {
        return eventNextDayStayCost;
    }

    public void setEventNextDayStayCost(BigDecimal eventNextDayStayCost) {
        this.eventNextDayStayCost = eventNextDayStayCost;
    }

    public BigDecimal getActivationCost() {
        return activationCost;
    }

    public void setActivationCost(BigDecimal activationCost) {
        this.activationCost = activationCost;
    }

    public String getPhotoClickRate() {
        return photoClickRate;
    }

    public void setPhotoClickRate(String photoClickRate) {
        this.photoClickRate = photoClickRate;
    }

    public String getBclickRate() {
        return bclickRate;
    }

    public void setBclickRate(String bclickRate) {
        this.bclickRate = bclickRate;
    }

    public BigDecimal getImpression1kCost() {
        return impression1kCost;
    }

    public void setImpression1kCost(BigDecimal impression1kCost) {
        this.impression1kCost = impression1kCost;
    }

    public BigDecimal getPhotoClickCost() {
        return photoClickCost;
    }

    public void setPhotoClickCost(BigDecimal photoClickCost) {
        this.photoClickCost = photoClickCost;
    }

    public BigDecimal getActionCost() {
        return actionCost;
    }

    public void setActionCost(BigDecimal actionCost) {
        this.actionCost = actionCost;
    }

    public Long getPhotoShare() {
        return photoShare;
    }

    public void setPhotoShare(Long photoShare) {
        this.photoShare = photoShare;
    }

    public Long getPhotoComment() {
        return photoComment;
    }

    public void setPhotoComment(Long photoComment) {
        this.photoComment = photoComment;
    }

    public Long getPhotoLike() {
        return photoLike;
    }

    public void setPhotoLike(Long photoLike) {
        this.photoLike = photoLike;
    }

    public Long getFollow() {
        return follow;
    }

    public void setFollow(Long follow) {
        this.follow = follow;
    }

    public Long getReport() {
        return report;
    }

    public void setReport(Long report) {
        this.report = report;
    }

    public Long getCancelFollow() {
        return cancelFollow;
    }

    public void setCancelFollow(Long cancelFollow) {
        this.cancelFollow = cancelFollow;
    }

    public Long getBlock() {
        return block;
    }

    public void setBlock(Long block) {
        this.block = block;
    }

    public Long getNagative() {
        return nagative;
    }

    public void setNagative(Long nagative) {
        this.nagative = nagative;
    }

    public Long getDownloadStarted() {
        return downloadStarted;
    }

    public void setDownloadStarted(Long downloadStarted) {
        this.downloadStarted = downloadStarted;
    }

    public Long getDownloadCompleted() {
        return downloadCompleted;
    }

    public void setDownloadCompleted(Long downloadCompleted) {
        this.downloadCompleted = downloadCompleted;
    }

    public KuaishouReportAccountDailyDTOEntity(String projectName, String advertiserName, String responsibleName, String designResponsibleName, String statDate, String saleName, BigDecimal charge, Long photoShow, Long photoClick, Long aclick, Long bclick, Long activation, Long eventRegister, Long submit, Long eventNextDayStay, BigDecimal eventNextDayStayCost, BigDecimal activationCost, String photoClickRate, String bclickRate, BigDecimal impression1kCost, BigDecimal photoClickCost, BigDecimal actionCost, Long photoShare, Long photoComment, Long photoLike, Long follow, Long report, Long cancelFollow, Long block, Long nagative, Long downloadStarted, Long downloadCompleted) {
        this.projectName = projectName;
        this.advertiserName = advertiserName;
        this.responsibleName = responsibleName;
        this.designResponsibleName = designResponsibleName;
        this.statDate = statDate;
        this.saleName = saleName;
        this.charge = charge;
        this.photoShow = photoShow;
        this.photoClick = photoClick;
        this.aclick = aclick;
        this.bclick = bclick;
        this.activation = activation;
        this.eventRegister = eventRegister;
        this.submit = submit;
        this.eventNextDayStay = eventNextDayStay;
        this.eventNextDayStayCost = eventNextDayStayCost;
        this.activationCost = activationCost;
        this.photoClickRate = photoClickRate;
        this.bclickRate = bclickRate;
        this.impression1kCost = impression1kCost;
        this.photoClickCost = photoClickCost;
        this.actionCost = actionCost;
        this.photoShare = photoShare;
        this.photoComment = photoComment;
        this.photoLike = photoLike;
        this.follow = follow;
        this.report = report;
        this.cancelFollow = cancelFollow;
        this.block = block;
        this.nagative = nagative;
        this.downloadStarted = downloadStarted;
        this.downloadCompleted = downloadCompleted;
    }

    public KuaishouReportAccountDailyDTOEntity() {
    }
}
